Page MenuHomePhabricator

selenium-*-jessie Jenkins jobs failing with `Error: You might be using an older PHP version`
Closed, ResolvedPublic

Description

Example console output:

00:00:22.005 Error: You might be using an older PHP version (PHP 5.6.33-0+deb8u1). 
00:00:22.006 MediaWiki 1.32 needs PHP 7.0.0 or higher or HHVM version 3.18.5.
00:00:22.006 Check if you have a newer php executable with a different name.

Failed jobs:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
zeljkofilipin triaged this task as High priority.May 29 2018, 11:59 AM
zeljkofilipin moved this task from Inbox to Selenium on the MediaWiki-Core-Testing board.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.

@hashar thanks, working on it.

Change 435990 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run daily job running Math Selenium tests targeting beta cluster

https://gerrit.wikimedia.org/r/435990

Change 435992 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run selenium-*-jessie on PHP 7.0

https://gerrit.wikimedia.org/r/435992

Change 435992 merged by jenkins-bot:
[integration/config@master] Run selenium-*-jessie on PHP 7.0

https://gerrit.wikimedia.org/r/435992

435992 did not help, the jobs are still failing with the same error message. 😢

Krinkle added subscribers: Legoktm, Krinkle.EditedMay 29 2018, 2:34 PM

Change 435992 merged by jenkins-bot:
[integration/config@master] Run selenium-*-jessie on PHP 7.0
https://gerrit.wikimedia.org/r/435992

Two days ago I ran into the same issue on Minerva tests. @Legoktm fixed that one with https://gerrit.wikimedia.org/r/435949 (7bf9f2e34530f), which worked.

zeljkofilipin added a comment.EditedMay 29 2018, 2:40 PM

@Krinkle thanks, @hashar suggested similar commit as a template (fb6a9eea812c) in T195830#4238595, and that is what I have tried to do with 435992, but it did not help. selenium-*-jessie jobs are running daily (not triggered by gerrit/zuul, see selenium-EXTENSION-jessie_Jenkins_job), I am not sure if that is relevant.

Change 436022 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Revert "Run selenium-*-jessie on PHP 7.0"

https://gerrit.wikimedia.org/r/436022

Change 436029 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Add PHP_BIN parameter to selenium-{name}-jessie job template

https://gerrit.wikimedia.org/r/436029

Change 436029 merged by jenkins-bot:
[integration/config@master] Add PHP_BIN parameter to selenium-{name}-jessie job template

https://gerrit.wikimedia.org/r/436029

Change 436022 merged by jenkins-bot:
[integration/config@master] Revert "Run selenium-*-jessie on PHP 7.0"

https://gerrit.wikimedia.org/r/436022

zeljkofilipin closed this task as Resolved.May 29 2018, 4:52 PM

Well done :] Sorry for the lack of follow up this afternoon..

Vvjjkkii renamed this task from selenium-*-jessie Jenkins jobs failing with `Error: You might be using an older PHP version` to l3baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed zeljkofilipin as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from l3baaaaaaa to selenium-*-jessie Jenkins jobs failing with `Error: You might be using an older PHP version`.Jul 2 2018, 1:12 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to zeljkofilipin.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.